package com.persagy.fm.common.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * @description:
 * @author: lixing
 * @company: Persagy Technology Co.,Ltd
 * @since: 2021/3/8 10:06 上午
 * @version: V1.0
 **/
@Configuration
public class WebConfig implements WebMvcConfigurer {

    @Bean
    public RequiredParamsHandler requiredParamsHandler() {
        return new RequiredParamsHandler();
    }

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        // 设置拦截的路径、不拦截的路径、优先级等等
        registry.addInterceptor(requiredParamsHandler()).addPathPatterns("/**");
    }
}
